export interface LoginData {
  loginName?: string;
  password?: string;
  code?: string;
  mobileNumber?: string;
  schoolCode: string;
  type: 'ACCOUNT' | 'PHONE';
}
export interface SchoolInfoRes {
  phoneLogin: boolean;
  accountSmsVerify: boolean;
  name: string;
  logo: string;
  version: string;
  schoolCode: string;
}
export interface SmsCodeData {
  schoolCode: string;
  mobileNumber: string;
}
export interface AccountSmsCodeData {
  schoolCode: string;
  loginName: string;
  password: string;
}
export interface SmsCodeForBindData {
  schoolCode: string;
  loginName: string;
  password: string;
  mobileNumber: string;
}
export interface UpdatePwdData {
  id: string;
  oldPassword: string;
  verifyCode?: string;
  mobileNumber?: string;
  password?: string;
}

export type UserMenuPrivilegeEnum =
  | 'conditions'
  | 'buttons'
  | 'lists'
  | 'links';

export interface UserMenuBaseItem {
  id: string;
  name: string;
  url: string;
  type: string;
  parentId: string;
  sequence: number;
}
export interface UserMenuItem extends UserMenuBaseItem {
  conditions?: UserMenuBaseItem[];
  buttons?: UserMenuBaseItem[];
  lists?: UserMenuBaseItem[];
  links?: UserMenuBaseItem[];
}
export interface UserMenuRes {
  userId: string;
  privileges: UserMenuItem[];
}
