import axios from 'axios';
import { UserState } from '@/store/modules/user/types';
import type {
  LoginData,
  SchoolInfoRes,
  SmsCodeData,
  AccountSmsCodeData,
  SmsCodeForBindData,
  UpdatePwdData,
  UserMenuRes,
} from './types/user';

export function login(data: LoginData): Promise<UserState> {
  return axios.post('/api/admin/common/login', data);
}

export function getSchoolInfo(code: string): Promise<SchoolInfoRes> {
  return axios.post(
    '/api/admin/common/school/query_by_school_code',
    {},
    { params: { code } }
  );
}

interface SmsCodeRes {
  mobileNumber: string;
}
export function getSmsCode(datas: SmsCodeData): Promise<SmsCodeRes> {
  return axios.post('/api/admin/common/get_verify_code', datas);
}
export function getAccountSmsCode(datas: AccountSmsCodeData): Promise<string> {
  return axios.post('/api/admin/common/get_verify_code_by_account', datas);
}
export function getSmsCodeForBind(
  datas: SmsCodeForBindData
): Promise<SmsCodeRes> {
  return axios.post('/api/admin/common/get_verify_code_for_bind', datas);
}

export function updatePwd(datas: UpdatePwdData): Promise<UserState> {
  return axios.post('/api/admin/sys/user/update_password', datas);
}

export function userLogout() {
  return axios.post('/api/admin/common/logout', {});
}

export function sysMenu(): Promise<UserMenuRes> {
  return axios.post('/api/admin/common/get_menu', {});
}
