import { ref } from 'vue';
import {
  DEFAULT_LABEL,
  ORG_TYPE,
  ABLE_TYPE,
  ROLE_TYPE,
  SMS_TYPE,
  DATA_PRIVILEGE_TYPE,
  EXAM_NUMBER_STYLE,
  CARD_CREATE_METHOD_TYPE,
  CARD_TYPE,
  TEMPLATE_CLASSIFY,
} from '@/constants/enumerate';
import { dictToOption } from '@/utils/utils';
import { SelectOptions } from '@/types/global';

const dicts = {
  ORG_TYPE,
  ABLE_TYPE,
  ROLE_TYPE,
  SMS_TYPE,
  DATA_PRIVILEGE_TYPE,
  EXAM_NUMBER_STYLE,
  CARD_CREATE_METHOD_TYPE,
  CARD_TYPE,
  TEMPLATE_CLASSIFY,
};

type DictTypeType = keyof typeof dicts;

export default function useDictOption(dictType: DictTypeType) {
  const optionList = ref<SelectOptions[]>(dictToOption(dicts[dictType] || {}));

  function getLabel(val: string): string {
    // @ts-ignore
    return dicts[dictType] ? dicts[dictType][val] : DEFAULT_LABEL;
  }

  return {
    optionList,
    getLabel,
  };
}
