import type { UserMenuItem } from '@/api/types/user';

export type PrivilegeItem = Pick<
  UserMenuItem,
  'id' | 'name' | 'type' | 'url' | 'parentId'
>;

export interface AppMenuItem extends PrivilegeItem {
  children?: AppMenuItem[];
}

export interface AppState {
  version: string;
  privilegeMap: Record<string, string[]>;
  appMenus: AppMenuItem[];
  privilegeList: PrivilegeItem[];
  validRoutes: string[];
  device: string;
}
